Welcome to Pandora FMS Community!

Find answers, ask questions, and connect with our community around the world.

  • Error al actualizar

    Posted by Martin on June 3, 2024 at 19:57

    Estimados, estoy instalando la tool para hacer una prueba (POC) para ver si con esta herramienta podemos reemplazar nuestra herramienta de monitoreo actual.

    Luego de realizar la instalación realice el proceso de actualización on line al llegar a la versión 773 me salio una alerta que la versión maestra del servidor 772 o coincide con al versión de consola 773. Busque en el foro y encontré el error (https://pandorafms.com/community/forums/discussion/la-version-maestra-del-servidor-772-no-coincide-con-la-version-de-consola-v7-0ng/)

    Realice la acciones recomiendas y pude solucionar el problema, continué con la actualización ya que aun indicaba que hay disponible y llegue a la versión 774 vuelve a salir el mismo error “La versión maestra del servidor 772 no coincide con la versión de consola v7.0NG.774.” realice el mismo procedimiento anterior pero ahora con los archivos del servidor 774 y al finalizar quedan todos los servidores down y no levantan. Vuelvo el server a la 773 y levanta todo nuevamente. como puedo hacer para llevar todo a la versión 774 y que salga mas la advertencia.?

    desde ya muchas gracias.

    Martin replied 2 weeks, 2 days ago 2 Members · 4 Replies
  • 4 Replies
  • Sergio

    Administrator
    June 3, 2024 at 22:49
    1066 Karma points
    Community rank: tentacle_master_icon Tentacle Master
    Like it
    Up
    0
    Down
    Drop it
    ::

    Buenas tardes Martín,

    La actualización la realizas por medio del Warp Update entendemos no?

    En caso positivo, ten en cuenta que si bien la actualización en la vista del Warp Update figura como completada, el servidor tardará unos minutos más en actualizar de versión y reiniciar el servidor para aplicar los cambios.

    Una vez finaliza la actualización deja pasar unos minutos y revisa la vista de servidores de la consola para comprobar la versión.

    Si pasados unos minutos la versión del servidor sigue siendo la misma, puede ser que haya algún parámetro del /etc/php.ini mal configurado, puedes adjuntarlo aquí en un .zip para que le echemos un vistazo.

    Un saludo,

    Sergio B.

  • Martin

    Member
    June 3, 2024 at 23:18
    59 Karma points
    Community rank: tentacle-noob-1 Tentacle noob
    Like it
    Up
    0
    Down
    Drop it
    ::

    Sergio,

    gracias por tu respuesta, si el upgrade lo hice desde Warp Update online. dentro de la parte de servidores figura la versión 772, como que tampoco tomo la actualización manual que hice. te adjunto el archivo php.ini.

    Saludos.

    • This reply was modified 2 weeks, 3 days ago by  Martin.
    • Sergio

      Administrator
      June 4, 2024 at 15:58
      1066 Karma points
      Community rank: tentacle_master_icon Tentacle Master
      Like it
      Up
      0
      Down
      Drop it
      ::

      Buenas tardes,

      El fichero php.ini parece que tiene bien todos los parámetros.

      ¿Que versión de PHP tenéis instalada en el sistema?

      Cuando indicas que has intentado la actualización manual, ¿que paquete has descargado y como lo has instalado?

      Un saludo,

      Sergio B.

  • Martin

    Member
    June 4, 2024 at 19:46
    59 Karma points
    Community rank: tentacle-noob-1 Tentacle noob
    Like it
    Up
    0
    Down
    Drop it
    ::

    Sergio

    tengo la versión 8.2.19

    [root@pandorafms ~]# php -v
    PHP 8.2.19 (cli) (built: May 7 2024 14:19:14) (NTS gcc x86_64)
    Copyright (c) The PHP Group
    Zend Engine v4.2.19, Copyright (c) Zend Technologies
    with Zend OPcache v8.2.19, Copyright (c), by Zend Technologies